#!/bin/bash

JLinkGDBServer -if SWD -device STM32F407VE &
sleep 2

# Check if GDB server is still running
gdbpid=`pidof JLinkGDBServer`

if [[ $gdbpid == "" ]]; then
	echo ""
	echo "GDB Server not running! Check target connection."
	exit
fi

arm-none-eabi-gdb -x program-device.gdb reflow-controller.elf
sleep 2

kill $gdbpid
